Subject: Re: bug#77974: Manual updates for the VC-aware project backend

From: Dmitry Gutov <[email-masked]>
Date: Mon, 28 Apr 2025 16:10:37 +0300

On 28/04/2025 05:48, Sean Whitton wrote:
> Hello,
> 
> On Mon 28 Apr 2025 at 01:39am +03, Dmitry Gutov wrote:
> 
>> "Neither registered nor ignored" sounds like the definition for
>> "unregistered", actually.
>>
>> Sounds good to me as a phrasing (might even be more accurate than the Git
>> definition I quoted previously).
> 
> Thanks.  I've tweaked the phrasing slightly.

Thank you.

>>> (And maybe we should rename the variable?)
>>
>> Doesn't seem worth the hassle for us and existing users, TBH.
> 
> I've added a FIXME to keep thinking about it
> (hope it's okay with you for me to go ahead and add such a thing to
> project.el, let me know if not).
> 
> My thinking is: if we have another very popular VCS in the future which
> doesn't use the name "untracked", then falling back on our own existing
> "unregistered" terminology to unify things would be better than using
> Git and Hg's "untracked" in this one place.

Sure. That seems like a pretty distant future, though.